<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CustomListSearchRow StructType
 * @subpackage Structs
 */
class CustomListSearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CustomListSearchRowBasic
     */
    public $basic;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchRowBasic
     */
    public $userJoin;
    /**
     * Constructor method for CustomListSearchRow
     * @uses CustomListSearchRow::setBasic()
     * @uses CustomListSearchRow::setUserJoin()
     * @param \StructType\CustomListSearchRowBasic $basic
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     */
    public function __construct(\StructType\CustomListSearchRowBasic $basic = null, \StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\CustomListSearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\CustomListSearchRowBasic $basic
     * @return \StructType\CustomListSearchRow
     */
    public function setBasic(\StructType\CustomListSearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchRowBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     * @return \StructType\CustomListSearchRow
     */
    public function setUserJoin(\StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
